#!/bin/csh

#to rename horrid iris dmc file names

#call with rename.sh A x y
#where A is the char string to find and x and y are the field numbers in the original
#file name (period is the field separator) you
#want to use for the final name

#eg if the file names look like
#1999.289.10.05.26.0000.IU.KMBO.00.LHZ.SAC
#the 8th field is the station name, KMBO
#and the 10th field is the component name, LHZ
#so you would call rename.sh SAC 8 10
#and it would rename it to KMBO.LHZ

#it will do this for all the file names that end with .SAC

foreach file (`ls -1 *$1*`)
mv $file `echo $file | nawk -F. '{print $'$2'"."$'$3'}'`
end

